/* Add here all your JS customizations */

function validarDecimales(ev, el) {
    var code = ev.keyCode ? ev.keyCode : ev.which;
    if ((code >= 48 && code <= 57) || code == 8 || code == 9 || code == 46 || code == 37 || code == 39) {

        var ex = /^[0-9]+\.?[0-9]*$/;
        if (ex.test(el.value) == false) {
            el.value = el.value.substring(0, el.value.length - 1);
        }

        if (el.value.indexOf('.') != -1) {
            if (el.value.split(".")[1].length > 1) {

                if (isNaN(parseFloat(el.value))) {
                    ev.preventDefault();
                    el.value = el.value.substring(0, el.value.length - 1);
                    return false;
                }
                el.value = el.value.substring(0, el.value.length - 1);
            }
        }
        return this;
    } else {
        ev.preventDefault();
        return false;
    }
}

function validarDecimalesNegativos(ev, el) {
    var code = ev.keyCode ? ev.keyCode : ev.which;
    if ((code >= 48 && code <= 57) || code == 8 || code == 9 || code == 45 || code == 46 || code == 37 || code == 39) {

        var ex = /^[\-0-9]+\.?[0-9]*$/;
        if (ex.test(el.value) == false) {
            el.value = el.value.substring(0, el.value.length - 1);
        }

        if (el.value.indexOf('.') != -1) {
            if (el.value.split(".")[1].length > 1) {

                if (isNaN(parseFloat(el.value))) {
                    ev.preventDefault();
                    el.value = el.value.substring(0, el.value.length - 1);
                    return false;
                }
                el.value = el.value.substring(0, el.value.length - 1);
            }
        }
        return this;
    } else {
        ev.preventDefault();
        return false;
    }
}

function validarEnteros(ev) {
    //if (ev.charCode === 0 || /\d/.test(String.fromCharCode(ev.charCode))) {
    //|| code == 46
    var code = ev.keyCode ? ev.keyCode : ev.which;
    if ((code >= 48 && code <= 57) || code == 8 || code == 9 || code == 37 || code == 39) {
        return true;
    } else {
        ev.preventDefault();
        return false;
    }
}

function validarNegativos(ev) {
    var code = ev.keyCode ? ev.keyCode : ev.which;
    if ((code >= 48 && code <= 57) || code == 8 || code == 9 || code == 45 || code == 46 || code == 37 || code == 39) {
        return true;
    } else {
        ev.preventDefault();
        return false;
    }
}

function validarIngresoTexto(ev, el) {
    var regex = /^[a-zA-Z\s]+$/;
    var code = ev.keyCode ? ev.keyCode : ev.which;
    var key = String.fromCharCode(!ev.charCode ? ev.which : ev.charCode);
    if (regex.test(key)) {
        el.value = el.value.replace(/(^\s+|\s+$)/g, ' ');
        return true;
    } else if (code == 8 || code == 9 || code == 46 || (code >= 35 && code <= 37) || code == 39) {
        el.value = el.value.replace(/\s+/g, ' ');
        el.value = $.trim(el.value);
        return true;
    } else {
        ev.preventDefault();
        return false;
    }
}

function validarIngresoAlfanumerico(ev, el) {
    var regex = /^[a-zA-Z0-9\s]+$/;
    var code = ev.keyCode ? ev.keyCode : ev.which;
    var key = String.fromCharCode(!ev.charCode ? ev.which : ev.charCode);
    if (regex.test(key)) {
        el.value = el.value.replace(/(^\s+|\s+$)/g, ' ');
        return true;
    } else if (code == 8 || code == 9 || code == 46 || (code >= 35 && code <= 37) || code == 39) {
        el.value = el.value.replace(/\s+/g, ' ');
        el.value = $.trim(el.value);
        return true;
    } else {
        ev.preventDefault();
        return false;
    }
}

function eliminarEspaciosBlanco(el) {
    el.value = el.value.replace(/\s+/g, ' ');
    el.value = $.trim(el.value);
}

function validarIngresoCodigo(ev) {
    if (ev.charCode != 0) {
        var regex = /^[a-zA-Z0-9\-\.]+$/;

        var key = String.fromCharCode(!ev.charCode ? ev.which : ev.charCode);
        if (!regex.test(key)) {
            ev.preventDefault();
            return false;
        }
    }
}

function validarIngresoAlfanumSinEspacios(ev) {
    if (ev.charCode != 0) {
        var regex = /^[a-zA-Z0-9]+$/;

        var key = String.fromCharCode(!ev.charCode ? ev.which : ev.charCode);
        if (!regex.test(key)) {
            ev.preventDefault();
            return false;
        }
    }
}

function validarEmail(ev) {
    if (ev.charCode != 0) {
        var regex = /^[a-zA-Z0-9\@\.\-\_]+$/;

        var key = String.fromCharCode(!ev.charCode ? ev.which : ev.charCode);
        if (!regex.test(key)) {
            ev.preventDefault();
            return false;
        }
    }
}

// DatePicker para Registro de Venta
(function ($) {

    'use strict';

    var lastJQueryTS = 0;

    $("#FechaVenta").datepicker().on('changeDate', function (ev) {
        var send = true;
        if (typeof (event) == 'object') {
            if (event.timeStamp - lastJQueryTS < 300) {
                send = false;
            }
            lastJQueryTS = event.timeStamp;
        }
        if (send) {
            OcultarCamposRegistro();
        }

    });

}).apply(this, [jQuery]);

// DatePicker para Registro Diario
(function ($) {

    'use strict';

    var lastJQuery = 0;

    $("#FechaNuevoRegistro").datepicker().on('changeDate', function (ev) {
        var send = true;
        if (typeof (event) == 'object') {
            if (event.timeStamp - lastJQuery < 300) {
                send = false;
            }
            lastJQuery = event.timeStamp;
        }
        if (send) {
            ObtenerDiaSemana();
        }

    });

}).apply(this, [jQuery]);

(function ($) {

    'use strict';

    var lastJQuery = 0;

    $('#FechaFinalizacion').datepicker({
        orientation: "right"
    });

    $("#FechaFinalizacion").datepicker().on('changeDate', function (ev) {
        var send = true;
        if (typeof (event) == 'object') {
            if (event.timeStamp - lastJQuery < 300) {
                send = false;
            }
            lastJQuery = event.timeStamp;
        }
        if (send) {
            MostrarBotonFinalizar();
        }

    });

}).apply(this, [jQuery]);

